package sprzedaz.obiektowo;

import java.util.List;
import java.util.Objects;

import javax.swing.JOptionPane;

public class P2_SumaJednegoMiasta_v2 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta:");

        double suma = 0;
        for(Transakcja transakcja : transakcje) {
            if(Objects.equals(miasto, transakcja.getMiasto())) {
                suma += transakcja.getSztuk() * transakcja.getCena().doubleValue();
            }
        }
        JOptionPane.showMessageDialog(null, "Suma z wybranego miasta: " + suma);
    }

}
